{% set thumbnails = media.thumbnails %}

{% if media.fileExtension is same as( "svg" ) %}
    <img src="{{ media.url }}" 
        alt=""
    {% if imgClass %}
        class="{{ imgClass }}"
    {% endif %}
    >
{% elseif thumbnails and sizes.default  %}
    {% if imgClass is not defined %}
        {% set imgClass = null %}
    {% endif %}
    {% if dimensionMarkup is not defined %}
        {% set dimensionMarkup = false %}
    {% endif %}

    {{ bc_image( thumbnails, sizes, {
        imgClass: imgClass,
        dimensionMarkup: dimensionMarkup
    } )|raw }}
{% else %}
    {{ "please set thumbnails and sizes['default'] property" }}
{% endif %}

